Subject: Re: Perl CPAN module help
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Tue, 18 Nov 2003 15:15:27 -0800

On Tue, Nov 18, 2003 at 04:29:18PM +0100, "Peter J. Acklam" <[email-masked]> wrote:
> "Gary Nielson" <[email-masked]> wrote:
> 
> > Thank you so much. If I wanted to start fresh with a new perl
> > installation -- replacing the executables and all the modules --
> > how do you recommend I do this under cygwin.
> 
>   - Run setup.exe and uninstall all versions of perl.
> 
>   - Manually remove the perl library directory
> 
>        rm -rf /usr/lib/perl5
> 
>   - Run setup.exe and install perl.
> 
>   - Start the CPAN shell.
> 
>        cpan
> 
>   - You'll be prompted for a lot of information.  I accept the
>     default everywhere, with the following exceptions:
> 
>       - "CPAN build and cache directory? [...]"  /.cpan
>                                                  ^^^^^^
>       - "What is your favorite shell?" /usr/bin/bash
>                                        ^^^^^^^^^^^^^
>       - "Every Makefile.PL is run by perl in a separate process. Likewise we
>         ...
>         Your choice:  []" PREFIX=/usr/local
>                           ^^^^^^^^^^^^^^^^^
>       - "Now we need to know where your favorite CPAN sites are located. Push
>         a few sites onto the array (just in case the first on the array won't
>         ...
>         (1) Africa
>         (2) Asia
>         (3) Central America
>         (4) Europe
>         (5) North America
>         (6) Oceania
>         (7) South America"
> 
>         Here you must make a choice depending on your location.
>         Since I'm in Norway, I chose continent 4 (Europe),
>         contries 20 and 28 (Norway and Sweden) and then all the
>         sites that were listed.
> 
>    - Now you should see something like
> 
>        cpan shell -- CPAN exploration and modules installation (v1.7601)
>        ReadLine support enabled
> 
>        cpan> 
> 
>    - Remember to set the PERL5LIB environment variable with one of
>      these (depending on whether you're using a C-shell or a
>      Bourne shell):
> 
>        setenv PERL5LIB /usr/local/lib/perl5:/usr/local/lib/perl5/site_perl
> 
>        PERL5LIB=/usr/local/lib/perl5:/usr/local/lib/perl5/site_perl
>        export PERL5LIB
> 
>    - If you install the LWP module (or better yet Bundle::LWP),
>      don't install the HEAD alias, since you'll end up with a name
>      conflict with the standard head utility.

3 separate points:

Maybe my memory is going, but I thought the reason you suggested he
switch to /usr/local was so that he wouldn't have the HEAD/head.exe
conflict and it would go ahead and successfully install
/usr/local/bin/HEAD.

Rather than specify PREFIX for every module build and set a PERL5LIB,
you might just build your own perl with the -Uusrbinperl configure
option, so it defaults to /usr/local/.  (There are just a few non-core
modules included in the cygwin distribution that you would probably
want to start by building: Archive::Tar, Compress::Zlib,
Term::ReadKey, MD5, Net::Telnet, Term::ReadLine::Perl.)

Gerrit, if you are listening, perl does a nice job of separating
user-installed modules out into a site_perl subdirectory with the
exception of scripts and man pages.  Would it make sense to configure
the cygwin distribution with:
-Dsitebin=/usr/local/bin
-Dsiteman1=/usr/local/share/man/man1
-Dsiteman3=/usr/local/share/man/man3 ??

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/